Package org.apache.catalina.tribes.group

## Class Response

- java.lang.Object
- - org.apache.catalina.tribes.group.Response

-     public class Response
      extends Object

  A response object holds a message from a responding partner.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Response()` |
    `Response​(Member source, Serializable message)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Serializable` | `getMessage()` |
    `Member` | `getSource()` |
    `void` | `setMessage​(Serializable message)` |
    `void` | `setSource​(Member source)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Response

          public Response()

    - #### Response

          public Response​(Member source,
                          Serializable message)

  - ### Method Detail

    - #### setSource

          public void setSource​(Member source)

    - #### setMessage

          public void setMessage​(Serializable message)

    - #### getSource

          public Member getSource()

    - #### getMessage

          public Serializable getMessage()